Subject: Re: bug#16374: password not hidden in shell when mounting cifs partition

From: "Tyler Smith" <[email-masked]>
Date: Thu, 07 Nov 2019 10:24:32 -0500

On Wed, Nov 6, 2019, at 7:39 PM, Stefan Kangas wrote:
> Stefan Kangas <[email-masked]> writes:
> >
> > Hi Tyler,
> >
> > Thanks for the bug report.  Sorry that it went unanswered for so long.
> >
> > When I try the following on Emacs 26.1, I get no error:
> >
> > (progn
> >   (require 'comint)
> >   (string-match comint-password-prompt-regexp
> >         "Password for foo@//example.org/foo/bar$/: "))
> >
> > This suggests to me that a prompt such as the above should work under
> > M-x shell, since that is built on top of comint.
> >
> > Could you verify that this works for you on Emacs 26.1?

Unfortunately I can't. Our IT has changed the file server, and the new system doesn't work at all for me, in Emacs or otherwise.
 
> The original issue seems to be solved here.  More information was
> requested on how to write a test case for this, but none was given
> within 4 weeks.  I'm therefore closing this bug.

Yes, sorry I didn't respond sooner. Since I can no longer reproduce the bug or provide any further info, closing it is entirely appropriate.

Best,

Tyler